package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName vp_default_physical_indicator
 */
@TableName(value ="vp_default_physical_indicator")
@Data
public class DefaultPhysicalIndicator implements Serializable {
    /**
     * 主键
     */
    private String id;

    /**
     * 工具id或项目id
     */
    private String itemId;

    /**
     * 位置id
     */
    private String locationId;

    /**
     * 性别 码值参考字典表
     */
    private String gender;

    /**
     * 年龄范围 码值参考 字典表 AGE_RANGE
     */
    private String ageRange;

    /**
     * 指标值
     */
    private String indicatorValue;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}